Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.txtimer
Interface PersistencePolicy

All Known Subinterfaces:
  DatabasePersistencePolicyMBean, NoopPersistencePolicyMBean

All Known Implementing Classes:
  DatabasePersistencePolicy, NoopPersistencePolicy

public interface PersistencePolicy

Timers are persistent objects. In the event of a container crash, any single-event timers that have expired during the intervening time before container restart must cause the ejbTimeout method to be invoked upon restart. Any interval timers that have expired during the intervening time must cause the ejb- Timeout method to be invoked at least once upon restart.

Since:
  09-Sep-2004
Author:
  Thomas.Diesler@jboss.org

Method Summary
`void` | `clearTimers()` Clear the persisted timers
`void` | `deleteTimer(String timerId, TimedObjectId timedObjectId)` Deletes a timer from persistent storage.
`void` | `insertTimer(String timerId, TimedObjectId targetId, Date firstEvent, long periode, Serializable info)` Inserts a timer into persistent storage.
`List` | `listTimerHandles()` Return a List of TimerHandle objects.
`void` | `restoreTimers()` Restore the persistet timers

Method Detail

### insertTimer

    public void insertTimer(String timerId,
                            TimedObjectId targetId,
                            Date firstEvent,
                            long periode,
                            Serializable info)

  Inserts a timer into persistent storage.

  Parameters:
    `timerId` - The timer id
    `targetId` - The timed object id
    `firstEvent` - The point in time at which the first txtimer expiration must occur.
    `periode` - The number of milliseconds that must elapse between txtimer expiration notifications.
    `info` - A serializable handback object.

### deleteTimer

    public void deleteTimer(String timerId,
                            TimedObjectId timedObjectId)

  Deletes a timer from persistent storage.

  Parameters:
    `timerId` - The timer id
    `timedObjectId` - The id of the timed object

### clearTimers

    public void clearTimers()

  Clear the persisted timers

### restoreTimers

    public void restoreTimers()

  Restore the persistet timers

### listTimerHandles

    public List listTimerHandles()

  Return a List of TimerHandle objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.